Update a storage user
PATCH
apiToken storage:subusers:writeheader
AuthorizationBearer <token>A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.
Scope: storage:subusers:write
orderId*numberusername*stringapplication/json- body
label*stringpath*stringreadOnly*booleanenabled*booleanOperation completed or accepted; asynchronous actions may still be running.
application/json- response
username*stringlabel*stringpath*stringreadOnly*booleanenabled*booleancurl -X PATCH 'https://api.deluxhost.net/v1/services/0/storage/subusers/string' \ -H "Authorization: Bearer $DELUXHOST_TOKEN" \ -H 'Content-Type: application/json' \ -d '{ "label": "string", "path": "string", "readOnly": true, "enabled": true}'Example Response
{ "username": "string", "label": "string", "path": "string", "readOnly": true, "enabled": true}